import * as React from 'react';
import AddressIframe from './atoms/AddressIframe';
import AddressLinkWrapper from './atoms/AddressLinkWrapper';
import AddressMainTitle from './atoms/AddressMainTitle';
import AddressParagraph from './atoms/AddressParagraph';
import AddressSubTitle from './atoms/AddressSubTitle';
import { StyledDescriptionContainer, StyledContentWrapper, StyledSectionBreak, StyledAddress, } from './styles';
const Address = ({ variant, separator, iframe, children, className, style, }) => {
    return (React.createElement(StyledAddress, { variant: variant, className: className, style: style },
        separator === 'top' && (React.createElement(StyledSectionBreak, { "aria-hidden": "true", separator: separator, visible: true })),
        React.createElement(StyledContentWrapper, null,
            React.createElement(StyledDescriptionContainer, null, children),
            iframe),
        separator === 'bottom' && (React.createElement(StyledSectionBreak, { "aria-hidden": "true", separator: separator, visible: true }))));
};
Address.Iframe = AddressIframe;
Address.LinkWrapper = AddressLinkWrapper;
Address.MainTitle = AddressMainTitle;
Address.Paragraph = AddressParagraph;
Address.SubTitle = AddressSubTitle;
Address.displayName = 'Address';
export default Address;
