import type { LinkProps } from '../Link/Link';
import type { HeadingOwnProps } from '../Heading/Heading';
import type { ParagraphProps } from '../Paragraph/Paragraph';
import React from 'react';
export declare type Separator = 'top' | 'bottom';
export declare type IframeLoading = 'eager' | 'lazy';
export declare type Variant = 'one-third' | 'full-width';
export interface AddressLinkProps extends LinkProps {
    children: React.ReactNode;
    className?: string;
    style?: React.CSSProperties;
}
export interface AddressIframeProps {
    src: string;
    loading?: IframeLoading;
    className?: string;
    style?: React.CSSProperties;
}
export interface AddressParagraphProps extends ParagraphProps {
    children?: string;
    className?: string;
    style?: React.CSSProperties;
}
export interface AddressSubTitleProps extends HeadingOwnProps {
    children?: string;
    className?: string;
    style?: React.CSSProperties;
}
export interface AddressMainTitleProps extends HeadingOwnProps {
    children: string;
    className?: string;
    style?: React.CSSProperties;
}
export interface AddressProps {
    children: React.ReactNode | React.ReactNode[];
    iframe: React.ReactNode;
    variant: Variant;
    separator: Separator;
    className?: string;
    style?: React.CSSProperties;
}
//# sourceMappingURL=interface.d.ts.map