import type { StyledComponentProps } from 'styled-components';
import type { WithWhiteSpaceProps } from '../../global/spacing';
import * as React from 'react';
export interface ButtonOwnProps extends WithWhiteSpaceProps {
    children: React.ReactNode;
    icon?: React.ReactNode;
    start?: boolean;
    buttonColor?: string;
    buttonHoverColor?: string;
    buttonShadowColor?: string;
    buttonTextColor?: string;
}
export declare const Button: ButtonType;
declare type ButtonRefType = React.Ref<HTMLButtonElement>;
export interface ButtonType extends React.ForwardRefExoticComponent<ButtonOwnProps> {
    (props: ButtonPropsWithoutAs, ref?: ButtonRefType): React.ReactElement<ButtonPropsWithoutAs>;
    <AsC extends string | React.ComponentType = 'button', FAsC extends string | React.ComponentType = AsC>(props: ButtonPropsWithAs<AsC, FAsC>, ref?: React.Ref<AsC>): React.ReactElement<ButtonPropsWithAs<AsC, FAsC>>;
}
declare type ButtonPropsWithoutAs = StyledComponentProps<'button', never, ButtonOwnProps, never> & {
    as?: never | undefined;
    forwardedAs?: never | undefined;
};
declare type ButtonPropsWithAs<AsC extends string | React.ComponentType, FAsC extends string | React.ComponentType = AsC> = StyledComponentProps<AsC, never, ButtonOwnProps, never, FAsC> & {
    as?: AsC | undefined;
    forwardedAs?: FAsC | undefined;
};
export default Button;
//# sourceMappingURL=Button.d.ts.map