var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useState } from 'react';
import { StyledCrossroad, StyledShowBtn, StyledShowBtnWrapper, StyledParagraph, } from './styles';
import CrossroadList from './atoms/CrossroadList';
import CrossroadItem from './atoms/CrossroadItem';
const Crossroad = (_a) => {
    var { variant, initialHiding = false, children, className, style } = _a, props = __rest(_a, ["variant", "initialHiding", "children", "className", "style"]);
    const [toggleHiding, setToggleHiding] = useState(initialHiding);
    const handleToggleHiding = () => {
        setToggleHiding(!toggleHiding);
    };
    return (React.createElement(StyledCrossroad, Object.assign({ hiding: toggleHiding, variant: variant, className: className, style: style }, props),
        children,
        initialHiding && (React.createElement(StyledShowBtnWrapper, { hiding: toggleHiding },
            React.createElement(StyledShowBtn, { hiding: toggleHiding, onClick: handleToggleHiding }, toggleHiding ? 'Zobraziť viac' : 'Zobraziť menej')))));
};
Crossroad.Paragraph = StyledParagraph;
Crossroad.List = CrossroadList;
Crossroad.Item = CrossroadItem;
export default Crossroad;
