import React from 'react';
export declare type Variant = 'one-col' | 'two-col';
export interface CrossroadItemProps extends React.HTMLAttributes<HTMLDivElement> {
    children: React.ReactNode | React.ReactNode[];
    className?: string;
    style?: React.CSSProperties;
}
export interface CrossroadListProps extends React.HTMLAttributes<HTMLDivElement> {
    children: React.ReactNode | React.ReactNode[];
    className?: string;
    style?: React.CSSProperties;
}
export interface CrossroadProps extends React.HTMLAttributes<HTMLDivElement> {
    className?: string;
    style?: React.CSSProperties;
    /**
     * For display in one or two columns.
     * @param 'one-col'
     * @param 'two-col'
     */
    variant: Variant;
    /**
     * If there is too much content, you can hide some.
     * @param false default, nothing will be hidden.
     * @param true some part is hidden.
     */
    initialHiding?: boolean;
}
//# sourceMappingURL=interface.d.ts.map