import type { WithWhiteSpaceProps } from '../../global';
import * as React from 'react';
import Input from './input';
declare const StyledContainer: import("styled-components").StyledComponent<"div", any, DateFieldProps, never>;
export declare const DateField: DateFieldType;
export interface DateFieldType extends React.FC<DateFieldProps> {
    Input: typeof Input;
    Container: typeof StyledContainer;
}
export interface DateFieldProps extends React.HTMLAttributes<HTMLDivElement>, WithWhiteSpaceProps {
    children: React.ReactNode;
    hintText?: string;
    errorText?: string;
    inputNames?: {
        day?: string;
        month?: string;
        year?: string;
    };
    defaultValues?: {
        day?: string;
        month?: string;
        year?: string;
    };
    input?: {
        onChange?: (date: {
            day: string;
            month: string;
            year: string;
        }) => unknown;
        onBlur?: (date: {
            day: string;
            month: string;
            year: string;
        }) => void;
        onFocus?: (date: {
            day: string;
            month: string;
            year: string;
        }) => void;
        value?: {
            day?: string;
            month?: string;
            year?: string;
        };
    };
}
export default DateField;
//# sourceMappingURL=DateField.d.ts.map