var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import * as React from 'react';
import styled from 'styled-components';
import { ERROR_COLOR } from '../../global/colors';
import { SPACING } from '../../constants';
import LabelText from '../LabelText';
import ErrorText from '../ErrorText';
import HintText from '../HintText';
import { spacing } from '../../global';
import Input from './input';
const StyledContainer = styled('div')({
    display: 'flex',
    flexDirection: 'column',
}, ({ errorText }) => errorText
    ? {
        borderLeft: `4px solid ${ERROR_COLOR}`,
        marginRight: SPACING.SCALE_3,
        paddingLeft: SPACING.SCALE_2,
    }
    : undefined, spacing.withWhiteSpace({ marginBottom: 6 }));
export const DateField = (_a) => {
    var { children, errorText, hintText, inputNames, defaultValues, input } = _a, props = __rest(_a, ["children", "errorText", "hintText", "inputNames", "defaultValues", "input"]);
    return (React.createElement(StyledContainer, Object.assign({}, props, { errorText: errorText }),
        React.createElement(LabelText, null, children),
        hintText && React.createElement(HintText, null, hintText),
        errorText && React.createElement(ErrorText, null, errorText),
        React.createElement(Input, Object.assign({ names: inputNames, defaultValues: defaultValues, error: !!errorText }, input))));
};
DateField.displayName = 'DateField';
DateField.Container = StyledContainer;
DateField.Input = Input;
DateField.defaultProps = {
    hintText: undefined,
    errorText: undefined,
    inputNames: {
        day: undefined,
        month: undefined,
        year: undefined,
    },
    defaultValues: {
        day: undefined,
        month: undefined,
        year: undefined,
    },
    input: undefined,
};
export default DateField;
