import styled, { css } from 'styled-components';
export const StyledDatePickerWrapper = styled.div `
  width: 100%;

  span:last-child {
    align-items: center;
    display: flex;
    position: relative;

    ${({ inputHeight }) => inputHeight &&
    css `
        height: ${Number(inputHeight) ? `${inputHeight}px` : inputHeight};
      `}

    ${({ inputWidth }) => inputWidth &&
    css `
        width: ${Number(inputWidth) ? `${inputWidth}px` : inputWidth};
      `}

    svg {
      margin-left: 10px;
      padding-right: 5px;
    }
  }

  input[type='date'] {
    display: flex;
    height: 100%;

    &::-webkit-calendar-picker-indicator {
      background-position: right;
      right: 0px;
      bottom: 0px;
      height: calc(100% - 4px);
      width: calc(100% - 5px);
      position: absolute;
      opacity: 0;
      z-index: 40;
    }

    &::-webkit-datetime-edit-month-field,
    &::-webkit-datetime-edit-day-field,
    &::-webkit-datetime-edit-year-field {
      position: relative;
      z-index: 100;
    }
  }
`;
