// @ts-nocheck
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import * as React from 'react';
import styled from 'styled-components';
import { spacing, typography } from '../../global';
import { HEADING_SIZES, SPACING_POINTS } from '../../constants';
const StyledLegend = styled('legend')(spacing.withWhiteSpace(), typography.font({ size: 19 }), typography.textColor, {
    boxSizing: 'border-box',
    display: 'table',
    maxWidth: '100%',
    marginBottom: SPACING_POINTS[2],
    padding: 0,
    // Disabling this as per https://github.com/alphagov/govuk-frontend/issues/1239
    // overflow: 'hidden',
    whiteSpace: 'normal',
}, ({ size }) => {
    const actualSize = Number.isNaN(Number(size)) ? HEADING_SIZES[size] : size;
    if (size !== undefined && !actualSize) {
        throw Error(`Unknown size ${size} used for legend.`);
    }
    if (!actualSize) {
        return undefined;
    }
    return Object.assign(Object.assign({}, typography.font({ size: actualSize, weight: 'bold' })), (actualSize > 19 ? { marginBottom: SPACING_POINTS[3] } : undefined));
});
const StyledHeading = styled('h1')({
    margin: 0,
    fontSize: 'inherit',
    fontWeight: 'inherit',
});
// // When the legend contains an H1, we want the H1 to inherit all styles from
// // the legend. Effectively we want to be able to treat the heading as if it is
// // not there.
// .govuk-fieldset__heading {
//   margin: 0;
//   font-size: inherit;
//   font-weight: inherit;
// }
const Legend = (_a) => {
    var { children, isPageHeading = undefined } = _a, props = __rest(_a, ["children", "isPageHeading"]);
    return (React.createElement(StyledLegend, Object.assign({}, props), isPageHeading ? React.createElement(StyledHeading, null, children) : children));
};
Legend.defaultProps = {
    isPageHeading: false,
    size: undefined,
};
Legend.displayName = 'Fieldset.Legend';
export default Legend;
