// @ts-nocheck
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import * as React from 'react';
import styled from 'styled-components';
import Label from '../Label/Label';
import LabelText from '../LabelText/LabelText';
import ErrorText from '../ErrorText/ErrorText';
import HintText from '../HintText';
import { FONT_SIZE, LINE_HEIGHT, NTA_LIGHT, MEDIA_QUERIES } from '../../constants';
const StyledInput = styled('input')({
    boxSizing: 'border-box',
    fontFamily: NTA_LIGHT,
    WebkitFontSmoothing: 'antialiased',
    MozOsxFontSmoothing: 'grayscale',
    fontWeight: 400,
    textTransform: 'none',
    fontSize: FONT_SIZE.SIZE_14,
    lineHeight: LINE_HEIGHT.SIZE_14,
    [MEDIA_QUERIES.LARGESCREEN]: {
        fontSize: FONT_SIZE.SIZE_16,
        lineHeight: LINE_HEIGHT.SIZE_16,
        width: '50%',
    },
    width: '100%',
    padding: '5px 4px 4px',
});
export const FileUpload = React.forwardRef((_a, ref) => {
    var { meta, children, hint, acceptedFormats, onChange, name } = _a, props = __rest(_a, ["meta", "children", "hint", "acceptedFormats", "onChange", "name"]);
    return (React.createElement(Label, Object.assign({}, props, { error: meta.touched && !!meta.error }),
        React.createElement(LabelText, null, children),
        hint && React.createElement(HintText, null, hint),
        meta.touched && meta.error && React.createElement(ErrorText, null, meta.error),
        React.createElement(StyledInput, { type: "file", accept: acceptedFormats, onChange: onChange, name: name, ref: ref })));
});
FileUpload.defaultProps = {
    hint: undefined,
    meta: {},
    acceptedFormats: undefined,
    onChange: undefined,
    name: undefined,
};
FileUpload.displayName = 'FileUpload';
export default FileUpload;
