//@ts-nocheck
import * as React from 'react';
import styled from 'styled-components';
import Link from '../../../Link';
import { FOOTER_LINK, FOOTER_LINK_HOVER } from '../../../../global/colors';
const StyledCopyright = styled(Link)({
    display: 'inline-block',
    textAlign: 'center',
    textDecoration: 'none',
    whiteSpace: 'nowrap',
    ':link, :visited': {
        color: FOOTER_LINK,
    },
    ':hover': {
        color: FOOTER_LINK_HOVER,
    },
}, ({ image }) => image && {
    minWidth: image.width,
    paddingTop: image.height + 10,
    backgroundImage: `url(${image.src})`,
    backgroundRepeat: 'no-repeat',
    backgroundPosition: '50% 0%',
    backgroundSize: `${image.width}px ${image.height}px`,
});
const Copyright = ({ text, image, link }) => {
    return (React.createElement(StyledCopyright, { href: link, image: image },
        "\u00A9 ",
        text));
};
Copyright.defaultProps = {
    text: undefined,
    image: undefined,
    link: undefined,
};
export default Copyright;
