//@ts-nocheck
import * as React from 'react';
import Section from '../../atoms/section';
import SectionHeading from '../../atoms/section-heading';
import UnorderedList from '../../atoms/unordered-list';
import { ListItem } from '../../atoms/list-item';
const NavigationLinks = ({ heading, listColumns, children }) => {
    return (React.createElement(Section, null,
        React.createElement(SectionHeading, { size: "MEDIUM" }, heading),
        children && (React.createElement(UnorderedList, { columns: listColumns }, Array.isArray(children) ? (React.Children.map(children, (child, i) => (child ? React.createElement(ListItem, null, child) : null))) : (React.createElement(ListItem, null, children))))));
};
NavigationLinks.defaultProps = {
    listColumns: 0,
};
export default NavigationLinks;
