import styled from 'styled-components';
import { ERROR_COLOR } from '../../global/colors';
import { spacing } from '../../global';
import { BORDER_WIDTH_FORM_GROUP_ERROR, SPACING_POINTS } from '../../constants';
export const FormGroup = styled('div')(spacing.responsiveMargin({ size: 6, direction: 'bottom' }), {
    '& &:last-of-type': {
        marginBottom: 0,
    },
}, ({ error }) => error
    ? {
        paddingLeft: SPACING_POINTS[3],
        borderLeft: `${BORDER_WIDTH_FORM_GROUP_ERROR} solid ${ERROR_COLOR}`,
        '&& &': {
            padding: 0,
            border: 0,
        },
    }
    : undefined, spacing.withWhiteSpace());
FormGroup.defaultProps = {
    error: false,
};
FormGroup.displayName = 'FormGroup';
export default FormGroup;
