import React from 'react';
import { INavigationData, IInPageNavigationContext, ISectionContext, IInPageNavigationProviderProps } from './types';
declare const InPageNavigationContext: React.Context<IInPageNavigationContext>;
declare const InPageNavigationConsumer: React.Consumer<IInPageNavigationContext>;
declare const InPageNavigationProvider: React.FC<IInPageNavigationProviderProps>;
declare const useInPageNavigation: () => {
    navigationData: INavigationData;
    createNavigationDataChangeListener: <H extends {
        [key: string]: (e: any, prev: any) => any;
    }, E = Parameters<H[keyof H]>[0]>(name: string, handlers: H) => (key: string) => (e: E) => void;
    enableNextButton: () => void;
    disableNextButton: () => void;
};
export { InPageNavigationContext, InPageNavigationProvider, InPageNavigationConsumer, useInPageNavigation };
declare const SectionContext: React.Context<ISectionContext>;
declare const useSection: () => ISectionContext;
export { SectionContext, useSection };
//# sourceMappingURL=context.d.ts.map