/* InPageNavigation */
import styled from 'styled-components';
import { BLACK, BLUE, GREY_1, GREY_4 } from '../../global/colors';
import { Button } from "../index";
import { NTA_LIGHT, FONT_SIZE, LINE_HEIGHT } from '../../constants';
const RootContainer = styled('div')({
    display: 'flex',
    alignItems: 'flex-start',
    '*': {
        fontFamily: NTA_LIGHT
    }
});
const ContentsContainer = styled('div')({
    maxWidth: '300px',
    backgroundColor: GREY_4,
    padding: '24px 24px 24px 14px'
});
const ContentsTitle = styled('h1')({
    fontWeight: 700,
    fontSize: FONT_SIZE.SIZE_24,
    color: BLACK,
    lineHeight: LINE_HEIGHT.SIZE_24,
    margin: 'unset'
});
const ContentsSectionList = styled('div')({});
const ContentsSection = styled('p')({
    cursor: 'pointer',
    fontWeight: 400,
    fontSize: FONT_SIZE.SIZE_19,
    color: BLUE,
    lineHeight: LINE_HEIGHT.SIZE_19,
    display: 'flex',
    margin: '1em',
    // alignItems: 'center',
    '&:before': {
        content: '""',
        borderLeft: `4px solid ${BLACK}`,
        borderBottom: `4px solid ${BLACK}`,
        borderTop: `4px solid transparent`,
        borderRight: `4px solid transparent`,
        transformOrigin: 'center',
        transform: 'rotate(225deg)',
        marginRight: '10px',
        marginTop: '7px',
        opacity: 0,
        alignSelf: 'flex-start'
    }
}, ({ isSelected }) => isSelected && ({
    fontWeight: 'bold',
    ':before': {
        opacity: 1
    }
}), ({ isDisabled }) => isDisabled && ({
    color: GREY_1
}));
const NavigatorContainer = styled('div')({
    flex: 1,
    display: 'flex',
    flexDirection: 'column',
    padding: '24px 14px',
    maxHeight: '100%'
}, ({ maxWidth }) => ({ maxWidth }));
const NavigatorContent = styled('div')({
    flexDirection: 'column',
    overflowY: 'auto'
}, ({ isHidden }) => ({
    display: isHidden ? 'none' : 'flex'
}));
const NavigationBar = styled('div')({
    width: '100%',
    display: 'flex',
    justifyContent: 'space-between',
    alignItems: 'center'
});
const NavigationButton = styled(Button) `
	display: flex;
	margin-block: 32px;
	
	${({ leftSideIcon }) => leftSideIcon && `
		flex-direction: row-reverse;	
		svg {
			margin-left: 0;
			margin-right: 10px;
			transform: rotate(180deg);
		}
	`}
`;
export { RootContainer, ContentsContainer, ContentsTitle, ContentsSectionList, ContentsSection, NavigatorContainer, NavigatorContent, NavigationBar, NavigationButton };
