import React from "react";
export declare type IInPageNavigationChildren = React.ReactElement<ISectionProps> | React.ReactElement<ISectionProps>[];
export interface IInPageNavigationProps {
    contentsTitle: string;
    backButton: string;
    nextButton: string;
    finalButton: string;
    maxContentWidth?: string;
    children: IInPageNavigationChildren;
    finalButtonHandler: (navigationData: INavigationData) => void;
    nextButtonHandler?: (navigationData: INavigationData) => boolean;
    onNavigationDataChange?: (navigationData: INavigationData) => void;
    initialNavigationData?: INavigationData;
}
export declare type IStatefulInPageNavigationProps = Omit<IInPageNavigationProps, 'initialNavigationData' | 'onNavigationDataChange'>;
export interface IInPageNavigationSubcomponents {
    Section: React.FC<ISectionProps>;
}
export interface ISectionProps {
    title: string;
    children?: IInPageNavigationChildren | React.ReactNode;
}
export interface INavigationData {
    [key: string]: string | number | boolean | INavigationData;
}
export interface IInPageNavigationProviderProps {
    initialNavigationData: INavigationData;
    onNavigationDataChange?: (navigationData: INavigationData) => void;
}
declare function setNavigationData(navigationData: INavigationData): void;
declare function setNavigationData(callback: (prevData: INavigationData) => INavigationData): void;
declare function setIsNextButtonEnabled(isEnabled: boolean): void;
declare function setIsNextButtonEnabled(callback: (prevIsEnabled: boolean) => boolean): void;
declare function setCurrentSectionIndex(index: number): void;
declare function setCurrentSectionIndex(callback: (prevIndex: number) => number): void;
declare function setMaxAllowedIndex(maxIndex: number): void;
declare function setMaxAllowedIndex(callback: (prevMaxIndex: number) => number): void;
export interface IInPageNavigationContext {
    navigationData: INavigationData;
    setNavigationData: typeof setNavigationData;
    isNextButtonEnabled: boolean;
    setIsNextButtonEnabled: typeof setIsNextButtonEnabled;
    currentSectionIndex: number;
    setCurrentSectionIndex: typeof setCurrentSectionIndex;
    maxAllowedIndex: number;
    setMaxAllowedIndex: typeof setMaxAllowedIndex;
}
export interface ISectionContext {
    index: number;
    title: string;
}
export {};
//# sourceMappingURL=types.d.ts.map