import styled from 'styled-components';
import { BLACK, ERROR_COLOR } from '../../global/colors';
import { BORDER_WIDTH_FORM_ELEMENT, BORDER_WIDTH_FORM_ELEMENT_ERROR, FOCUSABLE, SPACING_POINTS, } from '../../constants';
import { spacing, typography } from '../../global';
export const Input = styled('input')(typography.font({ size: 19 }), FOCUSABLE, {
    boxSizing: 'border-box',
    width: '100%',
    height: '40px',
    marginTop: 0,
    padding: SPACING_POINTS[1],
    border: `${BORDER_WIDTH_FORM_ELEMENT} solid ${BLACK}`,
    borderRadius: 0,
    appearance: 'none',
    '&::-webkit-outer-spin-button, &::-webkit-inner-spin-button': {
        margin: 0,
        WebkitAppearance: 'none',
    },
    '&[type="number"]': {
        MozAppearance: 'textfield',
    },
}, ({ error, errorColor }) => ({
    border: error ? `${BORDER_WIDTH_FORM_ELEMENT_ERROR} solid ${errorColor || ERROR_COLOR}` : undefined,
}), spacing.withWhiteSpace({ marginBottom: 0 }));
Input.defaultProps = {
    type: 'text',
    error: false,
    errorColor: undefined,
};
Input.displayName = 'Input';
export default Input;
