// @ts-nocheck
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import * as React from 'react';
import Label from '../Label';
import LabelText from '../LabelText';
import ErrorText from '../ErrorText';
import HintText from '../HintText';
import Input from '../Input/Input';
export const InputField = (_a) => {
    var { meta, children, hint, input } = _a, props = __rest(_a, ["meta", "children", "hint", "input"]);
    return (React.createElement(Label, Object.assign({}, props, { error: meta.touched && !!meta.error }),
        React.createElement(LabelText, null, children),
        hint && React.createElement(HintText, null, hint),
        meta.touched && meta.error && React.createElement(ErrorText, null, meta.error),
        React.createElement(Input, Object.assign({ error: meta.touched && !!meta.error }, input))));
};
InputField.defaultProps = {
    hint: undefined,
    input: {},
    meta: {},
};
InputField.displayName = 'InputField';
/** Component is not exported withWhitespace because Label
 *  is also exported withWhitespace and therefore takes precedence.
 */
export default InputField;
