import styled from 'styled-components';
import { BORDER_WIDTH_WIDE, SPACING_POINTS } from '../../constants';
import { spacing, typography } from '../../global';
import { BORDER_COLOR } from '../../global/colors';
export const InsetText = styled('div')(typography.font({ size: 19 }), typography.textColor, {
    padding: SPACING_POINTS[3],
}, spacing.withWhiteSpace({ margin: { size: 6, direction: ['top', 'bottom'] } }), {
    clear: 'both',
    borderLeft: `${BORDER_WIDTH_WIDE} solid ${BORDER_COLOR}`,
    ':first-child': {
        marginTop: 0,
    },
    ':only-child,:last-child': {
        marginBottom: 0,
    },
});
InsetText.displayName = 'InsetText';
export default InsetText;
