// @ts-nocheck
import styled from 'styled-components';
import { ERROR_COLOR } from '../../global/colors';
import { SPACING } from '../../constants';
import { spacing } from '../../global';
export const Label = styled('label')({
    display: 'flex',
    flexDirection: 'column',
    boxSizing: 'border-box',
    ':after': {
        content: "''",
        display: 'table',
        clear: 'both',
    },
}, ({ error }) => ({
    borderLeft: error ? `4px solid ${ERROR_COLOR}` : undefined,
    marginRight: error ? SPACING.SCALE_3 : undefined,
    paddingLeft: error ? SPACING.SCALE_2 : undefined,
}), spacing.withWhiteSpace({ marginBottom: 0 }));
Label.defaultProps = {
    error: false,
};
Label.displayName = 'Label';
export default Label;
