/**
 * ### References
 *
 * - https://github.com/alphagov/govuk-frontend/blob/main/src/govuk/core/_links.scss
 */
import styled from 'styled-components';
import { link } from '../../global';
/**
 * Link/Anchor element.
 *
 * - https://govuk-react.github.io/govuk-react/?path=/docs/link
 * - https://design-system.service.gov.uk/styles/typography/#links
 */
export const Link = styled('a').withConfig({
    shouldForwardProp: (prop) => !['noVisitedState', 'textColor', 'muted'].includes(prop),
})(...link.common(), link.styleDefault, link.printFriendly, ({ muted }) => (muted ? link.styleMuted : undefined), ({ textColor }) => (textColor ? link.styleText : undefined), ({ noVisitedState }) => (noVisitedState ? link.styleNoVisitedState : undefined));
Link.defaultProps = {
    muted: false,
    textColor: false,
    noVisitedState: false,
};
Link.displayName = 'Link';
export default Link;
