var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import * as React from 'react';
import styled from 'styled-components';
import { MEDIA_QUERIES, SPACING, SITE_WIDTH } from '../../constants';
const OuterContainer = styled('div')({
    paddingTop: SPACING.SCALE_5,
    textAlign: 'center',
});
// This is currently 'width-container' and not 'main' from govuk-frontend
// Maybe we should deprecate this component in favour of Page.Main and Page.WidthContainer?
const InnerContainer = styled('div')({
    maxWidth: SITE_WIDTH,
    marginLeft: SPACING.SCALE_3,
    marginRight: SPACING.SCALE_3,
    textAlign: 'left',
    [MEDIA_QUERIES.LARGESCREEN]: {
        marginLeft: SPACING.SCALE_5,
        marginRight: SPACING.SCALE_5,
    },
    // no 1020px breakpoint in constants yet, not sure why
    '@media only screen and (min-width:1020px)': {
        margin: '0 auto',
    },
});
/**
 * Provides a container which aligns to the TopNav component, is centered, and provides top padding.
 *
 * Note, this equivalent to 'width-container' from govuk-frontend.
 *
 * - https://govuk-react.github.io/govuk-react/?path=/docs/main
 * - https://design-system.service.gov.uk/styles/layout/#page-wrappers
 */
export const Main = (_a) => {
    var { children } = _a, props = __rest(_a, ["children"]);
    return (React.createElement(OuterContainer, Object.assign({}, props),
        React.createElement(InnerContainer, null, children)));
};
Main.displayName = 'Main';
Main.defaultProps = {
    children: undefined,
};
export default Main;
