import Button from '../Button';
import React from 'react';
import { StyledModalHeader, StyledModal, StyledModalBody, StyledModalFooter, StyledBackground, } from './styles';
import { Close } from '../../icons/src';
const Modal = ({ height, width, showModal, children, }) => {
    return (React.createElement(React.Fragment, null, showModal && (React.createElement(StyledBackground, null,
        React.createElement(StyledModal, { width: width, height: height }, children)))));
};
Modal.defaultProps = {
    height: 80,
    width: 30,
};
const Header = ({ setShowModal, children, image, }) => {
    return (React.createElement(StyledModalHeader, null,
        React.createElement("div", null,
            image,
            children),
        React.createElement(Button, { onClick: setShowModal, buttonColor: "black", buttonHoverColor: "black", buttonShadowColor: "black", buttonTextColor: "black" },
            React.createElement(Close, { width: "22px", height: "22px" }))));
};
const Body = ({ children }) => {
    return React.createElement(StyledModalBody, null, children);
};
const Footer = ({ children }) => {
    return React.createElement(StyledModalFooter, null, children);
};
Modal.Header = Header;
Modal.Body = Body;
Modal.Footer = Footer;
export default Modal;
