import styled from 'styled-components';
import { YELLOW, BLACK, WHITE } from '../../global/colors';
export const StyledModalFooter = styled.div `
  box-sizing: border-box;
  width: 100%;
  border-top: none;
  background-color: ${WHITE};
  padding: 10px;
  height: fit-content;
  display: flex;
  align-items: center;
`;
export const StyledModalHeader = styled.div `
  box-sizing: border-box;
  background-color: ${BLACK};
  height: 50px;
  width: 100%;
  padding: 10px;
  color: ${WHITE};
  h1,
  h2,
  h3,
  h4,
  h5,
  h6 {
    color: ${WHITE};
  }
  display: flex;
  align-items: center;
  justify-content: space-between;
  div {
    display: flex;
    align-items: center;
    gap: 5px;
    img {
      filter: invert(100%);
    }
  }
  button {
    margin-bottom: 0px;
    color: ${WHITE};
    svg {
      margin: 0px;
      max-width: unset;
    }
    &:hover {
      color: ${WHITE};
    }
  }
`;
export const StyledModalBody = styled.div `
  box-sizing: border-box;
  height: 100%;
  width: 100%;
  border-top: none;
  background-color: ${WHITE};
  display: flex;
  flex-direction: column;
  padding: 10px;
  overflow-y: auto;
  overflow-x: hidden;
`;
export const StyledModal = styled('div') `
  box-sizing: border-box;
  height: ${(props) => props.height + '%'};
  width: ${(props) => props.width + '%'};
  border: 4px solid ${BLACK};
  background-color: ${WHITE};
  display: flex;
  flex-direction: column;
  outline: 3px solid ${YELLOW};
`;
export const StyledBackground = styled.div `
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.4);
  position: fixed;
  top: 0px;
  left: 0px;
  bottom: 0px;
  right: 0px;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9000;
`;
