// This is to be used when more than one value of a radio/checkbox group requires validation.
// e.g. What is your gender?
// () Male
// () Female
// () Other
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import * as React from 'react';
import styled from 'styled-components';
import { ERROR_COLOR } from '../../global/colors';
import LabelText from '../LabelText';
import ErrorText from '../ErrorText';
import HintText from '../HintText';
import { BORDER_WIDTH_MOBILE, SPACING } from '../../constants';
import { spacing } from '../../global';
const StyledFieldset = styled('div')({
    padding: 0,
    margin: 0,
    border: 0,
    boxSizing: 'border-box',
    width: '100%',
    ':after': {
        content: "''",
        display: 'table',
        clear: 'both',
    },
}, ({ error }) => ({
    borderLeft: error ? `${BORDER_WIDTH_MOBILE} solid ${ERROR_COLOR}` : undefined,
    marginRight: error ? SPACING.SCALE_3 : undefined,
    paddingLeft: error ? SPACING.SCALE_2 : undefined,
}), spacing.withWhiteSpace({ marginBottom: 0 }));
export const MultiChoice = (_a) => {
    var { meta, label, children, hint } = _a, props = __rest(_a, ["meta", "label", "children", "hint"]);
    return (React.createElement(StyledFieldset, Object.assign({ error: meta.touched && !!meta.error }, props),
        React.createElement(LabelText, null, label),
        hint && React.createElement(HintText, null, hint),
        meta.touched && meta.error && React.createElement(ErrorText, null, meta.error),
        children));
};
MultiChoice.defaultProps = {
    hint: undefined,
    meta: {},
};
MultiChoice.displayName = 'MultiChoice';
export default MultiChoice;
