//@ts-nocheck
/**
 * ### References
 *
 * - https://github.com/alphagov/govuk-frontend/blob/main/src/govuk/objects/_main-wrapper.scss
 * - https://github.com/alphagov/govuk-frontend/blob/main/src/govuk/objects/_width-container.scss
 */
import * as React from 'react';
import SkipLink from '../SkipLink';
import TopNav from '../TopNav';
import Main from './atoms/main';
import WidthContainer from './atoms/width-container';
/**
 * Use this template to keep your pages consistent with the rest of GOV.UK.
 *
 * - https://govuk-react.github.io/govuk-react/?path=/docs/page
 * - https://design-system.service.gov.uk/styles/page-template/
 * - https://design-system.service.gov.uk/styles/layout/#page-wrappers
 */
export const Page = ({ header, footer, children, id, beforeChildren, main: MainComponent, container: Container, }) => (React.createElement(React.Fragment, null,
    React.createElement(SkipLink, { href: `#${id}` }),
    header,
    React.createElement(Container, null,
        beforeChildren,
        React.createElement(MainComponent, { id: id }, children)),
    footer));
Page.Main = Main;
Page.WidthContainer = WidthContainer;
Page.defaultProps = {
    children: undefined,
    id: 'content',
    header: React.createElement(TopNav, null),
    footer: undefined,
    main: Page.Main,
    beforeChildren: undefined,
    container: Page.WidthContainer,
};
Page.displayName = 'Page';
export default Page;
