var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import * as React from 'react';
import styled from 'styled-components';
import { BLUE, GREY_4, PURPLE, YELLOW, WHITE } from '../../global/colors';
import { FONT_SIZE, LINE_HEIGHT, SPACING, MEDIA_QUERIES, NTA_LIGHT } from '../../constants';
import { ArrowRight as NextPageIcon, ArrowLeft as PrevPageIcon } from '../../icons/src';
const PaginationWrapper = styled('li')({
    boxSizing: 'border-box',
    margin: 0,
    padding: 0,
    listStyleType: 'none',
    fontFamily: NTA_LIGHT,
    fontWeight: 400,
    textTransform: 'none',
    fontSize: FONT_SIZE.SIZE_20,
    lineHeight: LINE_HEIGHT.SIZE_16,
    width: '100%',
    [MEDIA_QUERIES.LARGESCREEN]: {
        fontSize: FONT_SIZE.SIZE_27,
        lineHeight: LINE_HEIGHT.SIZE_16,
    },
    '> a': {
        boxSizing: 'border-box',
        color: BLUE,
        fill: 'currentColor',
        padding: SPACING.SCALE_3,
        backgroundColor: WHITE,
        textDecoration: 'none',
        outlineColor: 'transparent',
        display: 'flex',
        flexDirection: 'column',
        alignItems: 'center',
        width: '100%',
        ':hover': {
            backgroundColor: GREY_4,
        },
        ':focus': {
            outline: `3px solid ${YELLOW}`,
        },
        ':visited': {
            color: PURPLE,
        },
    },
}, ({ previousPage }) => ({
    marginRight: previousPage ? '3px' : undefined,
    ' > a': {
        alignItems: previousPage ? 'flex-start' : undefined,
    },
    ' > a div': {
        justifyContent: previousPage ? 'flex-start' : undefined,
        ' > svg': {
            height: previousPage ? '13px' : undefined,
            width: previousPage ? '17px' : undefined,
            marginRight: previousPage ? '10px' : undefined,
        },
    },
}), ({ nextPage }) => ({
    ' > a': {
        alignItems: nextPage ? 'flex-end' : undefined,
    },
    ' > a div': {
        justifyContent: nextPage ? 'flex-end' : undefined,
        ' > svg': {
            height: nextPage ? '13px' : undefined,
            width: nextPage ? '17px' : undefined,
            marginLeft: nextPage ? '10px' : undefined,
        },
    },
}));
const InnerWrap = styled('div')({
    display: 'flex',
    alignItems: 'center',
    width: '100%',
});
const PageTitle = styled('span')({
    fontSize: FONT_SIZE.SIZE_14,
    lineHeight: LINE_HEIGHT.SIZE_14,
    textDecoration: 'underline',
    [MEDIA_QUERIES.LARGESCREEN]: {
        fontSize: FONT_SIZE.SIZE_16,
        lineHeight: LINE_HEIGHT.SIZE_16,
    },
});
const Anchor = styled('a')({});
const PaginationAnchor = (_a) => {
    var { previousPage, nextPage, children, pageTitle } = _a, props = __rest(_a, ["previousPage", "nextPage", "children", "pageTitle"]);
    return (React.createElement(PaginationWrapper, { previousPage: previousPage, nextPage: nextPage },
        React.createElement(Anchor, Object.assign({}, props),
            React.createElement(InnerWrap, null,
                previousPage && React.createElement(PrevPageIcon, null),
                children,
                nextPage && React.createElement(NextPageIcon, null)),
            pageTitle && React.createElement(PageTitle, null, pageTitle))));
};
PaginationAnchor.defaultProps = {
    previousPage: undefined,
    nextPage: undefined,
    pageTitle: undefined,
};
export default PaginationAnchor;
