//@ts-nocheck
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import * as React from 'react';
import styled from 'styled-components';
import ReactMarkdown from 'react-markdown';
import { spacing, typography } from '../../global';
import Link from '../Link';
const StyledParagraph = styled(ReactMarkdown)({
    margin: 0,
    '> p': {
        margin: 0,
    },
    '> p > code': {
        padding: '0.2em 0.4em',
        margin: '0',
        fontSize: '85%',
        backgroundColor: 'rgba(27,31,35,0.05)',
        borderRadius: '3px',
    },
    '> pre': {
        padding: '16px',
        overflow: 'auto',
        fontSize: '85%',
        lineHeight: '1.45',
        backgroundColor: '#f6f8fa',
        borderRadius: '3px',
    },
    '> pre > code': {
        display: 'inline',
        padding: '0',
        margin: '0',
        border: '0',
        overflow: 'visible',
        lineHeight: 'inherit',
        wordWrap: 'normal',
    },
}, ({ supportingText }) => typography.font({ size: supportingText ? 16 : 19 }), spacing.withWhiteSpace({ marginBottom: 4 }));
export const Paragraph = (_a) => {
    var { children } = _a, props = __rest(_a, ["children"]);
    return (React.createElement(StyledParagraph, Object.assign({ source: children, escapeHtml: false, skipHtml: true, allowedTypes: ['paragraph', 'emphasis', 'strong', 'link', 'inlineCode', 'code', 'text'], renderers: { link: props.linkRenderer } }, props)));
};
Paragraph.defaultProps = {
    children: '',
    supportingText: false,
    linkRenderer: (props) => React.createElement(Link, Object.assign({}, props)),
};
Paragraph.displayName = 'Paragraph';
export default Paragraph;
