var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import * as React from 'react';
import styled from 'styled-components';
import { BORDER_COLOR } from '../../global/colors';
import { SPACING_POINTS } from '../../constants';
import { spacing, typography } from '../../global';
import Tag from '../Tag';
const StyledBanner = styled('div')({
    paddingTop: SPACING_POINTS[2],
    paddingBottom: SPACING_POINTS[2],
    borderBottom: `1px solid ${BORDER_COLOR}`,
}, spacing.withWhiteSpace());
const BannerContent = styled('p')(typography.font({ size: 16 }), typography.textColor, {
    display: 'table',
    margin: 0,
    [String(Tag)]: {
        marginRight: SPACING_POINTS[2],
    },
});
const BannerText = styled('span')({
    display: 'table-cell',
    verticalAlign: 'baseline',
});
/**
 * Use the phase banner component to show users your service is still being worked on.
 *
 * - https://govuk-react.github.io/govuk-react/?path=/docs/phase-banner
 * - https://design-system.service.gov.uk/components/phase-banner/
 */
export const PhaseBanner = (_a) => {
    var { level, children } = _a, props = __rest(_a, ["level", "children"]);
    return (React.createElement(StyledBanner, Object.assign({}, props),
        React.createElement(BannerContent, null,
            React.createElement(Tag, null, level),
            React.createElement(BannerText, null, children))));
};
PhaseBanner.displayName = 'PhaseBanner';
export default PhaseBanner;
