import styled from 'styled-components';
import { DARK_BLUE, BLACK, LINK_COLOR, LINK_HOVER_COLOR, YELLOW, } from '../../global/colors';
import { MEDIA_QUERIES, FONT_SIZE, FONT_WEIGHTS } from '../../constants';
import UnorderedList from '../UnorderedList';
import ListItem from '../ListItem';
import Link from '../Link';
export const ComponentWrapper = styled.div `
  box-sizing: border-box;
  width: 100%;
  padding: 0 15px;

  ${MEDIA_QUERIES.TABLET} {
    width: ${({ variant }) => variant === 'one-third' ? '33.3333%' : '66.6666%'};
  }
`;
export const StyledSeparator = styled.hr `
  background-color: ${DARK_BLUE};
  border: none;
  height: 2px;
  margin-bottom: 10px;
`;
export const StyledUnorderedList = styled(UnorderedList) `
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  font-weight: ${FONT_WEIGHTS.regular};
  font-size: ${FONT_SIZE.SIZE_16};
  line-height: 1.25;
  color: ${BLACK};
  margin-top: 0;
  margin-bottom: 15px;
  padding-left: 0;
  list-style-type: none;
`;
export const StyledListItem = styled(ListItem) `
  margin-bottom: 10px;
`;
export const StyledLink = styled(Link) `
  color: ${LINK_COLOR};
  text-decoration: underline;
  text-decoration-thickness: max(1px, 0.0625rem);
  text-underline-offset: 0.1em;

  :hover {
    color: ${LINK_HOVER_COLOR};
    text-decoration-thickness: max(3px, 0.1857rem, 0.12em);
    text-decoration-skip-ink: none;
  }

  :focus {
    color: ${BLACK};
    text-decoration: none;
    box-shadow: 0 -2px ${YELLOW}, 0 4px ${BLACK};
    background-color: ${YELLOW};
    outline: 3px solid transparent;
  }
`;
export const ContentContainer = styled.div `
  h4 {
    margin-bottom: 10px;
  }
`;
