// @ts-nocheck
import * as React from 'react';
import styled from 'styled-components';
import { LIGHT_BLUE, GREY_2, WHITE, YELLOW } from '../../global/colors';
import { NTA_LIGHT } from '../../constants';
import { Search } from '../../icons/src';
import { spacing } from '../../global';
// css normalize is hiding the input:search clear SearchButton
const Input = styled('input')({
    width: '100%',
    height: '40px',
    padding: '6px',
    margin: 0,
    border: `solid 1px ${GREY_2}`,
    borderRight: 0,
    boxSizing: 'border-box',
    fontFamily: NTA_LIGHT,
    fontWeight: 400,
    textTransform: 'none',
    fontSize: '16px',
    lineHeight: '1.75',
    background: WHITE,
    borderRadius: 0,
    WebkitAppearance: 'none',
    ':focus': {
        marginRight: '3px',
        outline: `3px solid ${YELLOW}`,
        outlineOffset: 0,
        ' ~ button': {
            width: '46px',
        },
    },
});
Input.defaultProps = {
    type: 'search',
};
const SearchButton = styled('button')({
    backgroundColor: LIGHT_BLUE,
    border: 0,
    display: 'block',
    color: WHITE,
    position: 'relative',
    padding: '10px',
    width: '45px',
    height: '40px',
    backgroundRepeat: 'no-repeat',
    backgroundPosition: '2px 50%',
    textIndent: '-999em',
    overflow: 'hidden',
    ':focus': {
        outline: `3px solid ${YELLOW}`,
        outlineOffset: 0,
    },
});
const Button = (props) => (React.createElement(SearchButton, Object.assign({ title: "Search" }, props),
    React.createElement(Search, { fill: WHITE })));
const StyledSearchBox = styled('div')({
    boxSizing: 'border-box',
    display: 'flex',
    width: '100%',
    background: WHITE,
}, spacing.withWhiteSpace({ marginBottom: 0 }));
export const SearchBox = React.forwardRef((props, ref) => (React.createElement(StyledSearchBox, Object.assign({}, props, { ref: ref }))));
SearchBox.Input = Input;
SearchBox.Button = Button;
SearchBox.displayName = 'SearchBox';
SearchBox.Input.displayName = 'SearchBox.Input';
SearchBox.Button.displayName = 'SearchBox.Button';
export default SearchBox;
