// @ts-nocheck
import styled from 'styled-components';
import { spacing } from '../../global';
import { BORDER_COLOR } from '../../global/colors';
const breakSizes = {
    XL: 8,
    XLARGE: 8,
    L: 6,
    LARGE: 6,
    M: 4,
    MEDIUM: 4,
};
export const SectionBreak = styled('hr')({
    margin: 0,
    border: 0,
}, ({ level }) => {
    const size = breakSizes[level];
    if (size) {
        return spacing.withWhiteSpace({
            margin: { size, direction: ['top', 'bottom'] },
        });
    }
    return spacing.withWhiteSpace();
}, ({ visible }) => visible
    ? {
        borderBottom: `1px solid ${BORDER_COLOR}`,
    }
    : undefined);
SectionBreak.defaultProps = {
    visible: undefined,
};
SectionBreak.displayName = 'SectionBreak';
export default SectionBreak;
