// @ts-nocheck
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import * as React from 'react';
import styled from 'styled-components';
import { BLACK, ERROR_COLOR, YELLOW } from '../../global/colors';
import { MEDIA_QUERIES } from '../../constants';
import { typography } from '../../global';
import Label from '../Label';
import LabelText from '../LabelText';
import ErrorText from '../ErrorText';
import HintText from '../HintText';
const StyledSelect = styled('select')(typography.font({ size: 19 }), {
    boxSizing: 'border-box',
    width: '100%',
    height: '33px',
    padding: '5px 4px 4px',
    border: `2px solid ${BLACK}`,
    [MEDIA_QUERIES.LARGESCREEN]: {
        width: '50%',
        height: '38px',
    },
    ':focus': {
        outline: `3px solid ${YELLOW}`,
        outlineOffset: 0,
    },
}, ({ error }) => ({
    border: error ? `4px solid ${ERROR_COLOR}` : undefined,
}));
export const Select = (_a) => {
    var { children, hint, label, meta, input } = _a, props = __rest(_a, ["children", "hint", "label", "meta", "input"]);
    return (React.createElement(Label, Object.assign({}, props, { error: meta.touched && !!meta.error }),
        React.createElement(LabelText, null, label),
        hint && React.createElement(HintText, null, hint),
        meta.touched && meta.error && React.createElement(ErrorText, null, meta.error),
        React.createElement(StyledSelect, Object.assign({ error: meta.touched && !!meta.error }, input), children)));
};
Select.defaultProps = {
    hint: undefined,
    errorText: undefined,
    input: {},
    meta: {},
};
Select.displayName = 'Select';
StyledSelect.displayName = 'SelectInput';
export default Select;
export { StyledSelect as SelectInput };
