import styled from 'styled-components';
import { SPACING_POINTS } from '../../constants';
import { link, typography, visuallyHidden } from '../../global';
export const SkipLink = styled('a')(visuallyHidden.focusable(), link.common(), link.styleText, typography.responsive(16), {
    display: 'block',
    padding: `${SPACING_POINTS[2]}px ${SPACING_POINTS[3]}px`,
    '@supports (padding:max(calc(0px)))': {
        paddingRight: `max(${SPACING_POINTS[3]}px, calc(${SPACING_POINTS[3]}px + env(safe-area-inset-right)))`,
        paddingLeft: `max(${SPACING_POINTS[3]}px, calc(${SPACING_POINTS[3]}px + env(safe-area-inset-left)))`,
    },
});
SkipLink.defaultProps = {
    children: 'Skip to main content',
    href: '#content',
};
SkipLink.displayName = 'SkipLink';
export default SkipLink;
