import styled, { css } from 'styled-components';
import { BLACK, GREY_2, WHITE } from '../../global/colors';
import UnorderedList from '../UnorderedList';
export const StyledUnorderedList = styled(UnorderedList) `
  background-color: ${WHITE};
  border: 2px solid ${BLACK};
  position: absolute;
  padding: 0;
  width: 100%;
  overflow: auto;
  z-index: 200;

  ${({ maxRows }) => maxRows &&
    css `
      max-height: ${`${maxRows * 46 + 25}px`};
    `}

  & > li {
    border-bottom: 1px solid ${GREY_2};
    padding: 0 15px;
    margin-left: 10px;
    margin-right: 10px;
    margin-bottom: 0 !important;

    :first-child {
      margin-top: 10px;
    }

    :last-child {
      margin-bottom: 10px !important;
    }

    ${({ loading }) => !loading
    ? css `
            :hover {
              background-color: rgba(255, 223, 15, 0.25);
              cursor: pointer;
            }
          `
    : css `
            cursor: default;
          `}
  }

  & > :first-child {
    border-top: 1px solid ${GREY_2};
  }

  span {
    display: block;
    height: 100%;
    padding: 10px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }
`;
export const StyledSuggestionInput = styled.div `
  position: relative;
  
  ${({ isFocus }) => css `
    ${StyledUnorderedList} {
      display: ${isFocus ? 'block' : 'none'};
    }
  `}
`;
