import * as React from 'react';
import TableHeader from './atoms/TableHeader';
import CellHeader from './atoms/CellHeader';
import Cell from './atoms/Cell';
import Row from './atoms/Row';
export declare const Table: TableType;
export interface TableType extends React.FC<TableProps> {
    CellHeader: typeof CellHeader;
    Row: typeof Row;
    Cell: typeof Cell;
    Header: typeof TableHeader;
}
export interface TableProps {
    /** Table body rows and cells (for backward compatibility) */
    body?: React.ReactNode;
    /** Table body rows and cells (recommended way) */
    children?: React.ReactNode;
    /** Table header rows and cells */
    head?: React.ReactNode;
    /** Table caption title */
    caption?: string;
}
export default Table;
//# sourceMappingURL=Table.d.ts.map