var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import * as React from 'react';
import styled from 'styled-components';
import { spacing, typography } from '../../global';
import TableHeader from './atoms/TableHeader';
import TableBody from './atoms/TableBody';
import Caption from './atoms/Caption';
import CellHeader from './atoms/CellHeader';
import Cell from './atoms/Cell';
import Row from './atoms/Row';
const StyledTable = styled('table')(typography.font({ size: 19 }), typography.textColor, {
    width: '100%',
    borderSpacing: 0,
    borderCollapse: 'collapse',
}, spacing.withWhiteSpace({ marginBottom: 6 }));
export const Table = (_a) => {
    var { caption, children, body = children, head } = _a, props = __rest(_a, ["caption", "children", "body", "head"]);
    return (React.createElement(StyledTable, Object.assign({}, props),
        caption && React.createElement(Caption, null, caption),
        head && React.createElement(TableHeader, null, head),
        React.createElement(TableBody, null, body)));
};
Table.defaultProps = {
    body: undefined,
    caption: undefined,
    children: undefined,
    head: undefined,
};
Table.displayName = 'Table';
Table.CellHeader = CellHeader;
Table.Row = Row;
Table.Cell = Cell;
Table.Header = TableHeader;
export default Table;
