import styled from 'styled-components';
import { BORDER_COLOR } from '../../../../global/colors';
import { FONT_WEIGHTS, SPACING_POINTS } from '../../../../constants';
import { spacing, typography } from '../../../../global';
const Cell = styled('td')(({ numeric, alignRight = numeric, bold = false }) => ({
    padding: `${SPACING_POINTS[2]}px ${SPACING_POINTS[4]}px ${SPACING_POINTS[2]}px 0`,
    borderBottom: `1px solid ${BORDER_COLOR}`,
    textAlign: alignRight ? 'right' : 'left',
    fontWeight: bold ? Number(FONT_WEIGHTS.bold) : undefined,
    ':last-child': {
        paddingRight: 0,
    },
}), ({ numeric, isHeader }) => numeric && !isHeader ? typography.font({ tabular: true }) : undefined, spacing.withWidth());
export default Cell;
