import { BLACK, LINK_COLOR, LINK_HOVER_COLOR, YELLOW, GREY_4 } from '../../global/colors';
import { MEDIA_QUERIES, SPACING } from '../../constants';
import styled from 'styled-components';
import { FONT_WEIGHTS, FONT_SIZE } from '../../constants';
export const StyledTableHeader = styled.div `
height: 70px;
display: block;
padding: 0, 20px, 0, 20px;
margin-bottom: 20px;
background-color: ${GREY_4};
`;
export const StyledFilterContainer = styled.div `
display: block;
padding: 20px;
background-color: ${GREY_4};
margin-bottom: ${SPACING.SCALE_2};

h1 {
  display: inline-block;
  margin-bottom: 0;
}

.filter-content-hidden {
  display: none;
  
}

.filter-content {
  display: block;
}
`;
export const StyledFilterInputsContainer = styled.div `
  margin-bottom: 15px;

  select {
    width: 100%
  }
  
  div > div select {
    margin-bottom: 15px;
  }
  
  div > div input {
    margin-bottom: 15px;
  }
`;
export const StyledFilterToggleButton = styled.button `
float: right;
font-size: ${FONT_SIZE.SIZE_16};
margin-bottom: 0;
padding: 0;
border: none;
cursor: pointer;
display: inline-block;
margin-top: 15px;
color: ${LINK_COLOR};
text-decoration: underline;
text-decoration-thickness: max(1px, 0.0625rem);
text-underline-offset: 0.1em;

:hover {
  color: ${LINK_HOVER_COLOR};
  text-decoration-thickness: max(3px, 0.1857rem, 0.12em);
  text-decoration-skip-ink: none;
}

:focus {
  color: ${BLACK};
  text-decoration: none;
  box-shadow: 0 -2px ${YELLOW}, 0 4px ${BLACK};
  background-color: ${YELLOW};
  outline: 3px solid transparent;
}

${MEDIA_QUERIES.TABLET} {
  font-size: 19px;
}
`;
export const StyledFilterCancelButton = styled.button `
font-size: ${FONT_SIZE.SIZE_19};
font-weight: ${FONT_WEIGHTS.bold};
margin-bottom: 0;
margin-right: 10px;
padding: 8px 15px;
border: none;
cursor: pointer;
display: inline-block;
margin-top: 15px;
color: ${LINK_COLOR};
text-decoration: underline;
text-decoration-thickness: max(1px, 0.0625rem);
text-underline-offset: 0.1em;
height: 36px;
background-color: transparent;


:hover {
  color: ${LINK_HOVER_COLOR};
  text-decoration-thickness: max(3px, 0.1857rem, 0.12em);
  text-decoration-skip-ink: none;
}

:focus {
  color: ${BLACK};
  text-decoration: none;
  box-shadow: 0 -2px ${YELLOW}, 0 4px ${BLACK};
  background-color: ${YELLOW};
  outline: 3px solid transparent;
}

  span {
  margin-left: 15px;
  display: inline-block;
  font-size: ${FONT_SIZE.SIZE_19};
  }

${MEDIA_QUERIES.TABLET} {
  font-size: 19px;
}
`;
export const StyledTableFilterCategory = styled.div `
margin-top: 10px;
transition: .4s;
margin-bottom: 25px;
`;
export const StyleParameterRemove = styled.span `
font-size: ${FONT_SIZE.SIZE_16};

button {
height: 36px;
margin-bottom: 0;
margin-right: 10px;
padding: 0;
border: none;
background-color: #DEE0E2;
padding: 8px 15px;
font-size: ${FONT_SIZE.SIZE_19};

  :hover {
  text-decoration-thickness: max(3px, 0.1857rem, 0.12em);
  text-decoration-skip-ink: none;
}

:focus {
  text-decoration: none;
}
}

span {
margin-left: 15px;
font-size: 18px;
display: inline-block;
padding-bottom: 0;
outline: none;

:hover {
    cursor: pointer
}

${MEDIA_QUERIES.TABLET} {
    font-size: 19px;
  }
}
`;
