import React from 'react';
import TableCell from './TableCell';
import TableHeadCell from './TableHeadCell';
import { StyledTableRow } from './styles';
import { StyledTableBody, StyledTableContainer, StyledTableSorting, StyledTableHead, } from './styles';
import LabelText from '../LabelText';
const TableSorting = ({ maxRows, tableHead, children, noDataAlert, colorTableBg, className, style, tableTitle, }) => {
    return (React.createElement(StyledTableSorting, { columnCount: (tableHead === null || tableHead === void 0 ? void 0 : tableHead.length) || (children && children[0].props.children.length), colorTableBg: colorTableBg, className: className, style: style, maxRows: maxRows },
        tableTitle,
        React.createElement("div", null,
            React.createElement(StyledTableContainer, null,
                React.createElement(StyledTableHead, null,
                    React.createElement(TableSorting.Row, null, tableHead && tableHead)),
                React.createElement(StyledTableBody, null, !children || (children === null || children === void 0 ? void 0 : children.length) < 1 ? (React.createElement(TableSorting.Row, { className: "no-data" },
                    React.createElement(LabelText, null, noDataAlert || 'žiadne dostupné dáta'))) : (React.createElement(React.Fragment, null, children)))))));
};
TableSorting.Row = StyledTableRow;
TableSorting.HeadCell = TableHeadCell;
TableSorting.Cell = TableCell;
StyledTableBody.displayName = 'TableSorting.Row';
TableHeadCell.displayName = 'TableSorting.HeadCell';
TableCell.displayName = 'TableSorting.Cell';
export default TableSorting;
