import React from 'react';
export declare type TOrder = 'ASC' | 'DESC' | 'NONE';
export interface ITableHeadCellOwnProps {
    children: React.ReactNode;
    sortDirection?: TOrder;
    showArrows?: boolean;
    className?: string;
    style?: React.CSSProperties;
    onClick?: (e: React.MouseEvent<HTMLElement>) => void;
}
export interface ITableCellOwnProps {
    children: React.ReactNode;
    icon?: JSX.Element;
    className?: string;
    style?: React.CSSProperties;
    title?: string;
    /** Blocking copying from a table cell.
   * @param true copy blocking
   * @param false non-blocking of copying
   */
    disableCopy?: boolean;
}
export interface ITableHead<Type> {
    id: Type;
    label: string;
    width?: string;
}
//# sourceMappingURL=interface.d.ts.map