export function descendingComparator(a, b, orderBy) {
    const intlCollator = new Intl.Collator('sk', { usage: 'sort' });
    const aSort = (a[orderBy] && (a[orderBy] + '').toLocaleLowerCase()) || '';
    const bSort = (b[orderBy] && (b[orderBy] + '').toLocaleLowerCase()) || '';
    return intlCollator.compare(bSort, aSort);
}
export function getComparator(order, orderBy) {
    return order === 'DESC'
        ? (a, b) => descendingComparator(a, b, orderBy)
        : (a, b) => -descendingComparator(a, b, orderBy);
}
