import React, { useEffect, useState } from 'react';
import { StyledTabsWrapper } from './styles';
import { LEVEL_SIZE } from '../../constants';
import TabsUnorderedList from './atoms/TabsUnorderedList';
import TabsListItem from './atoms/TabsListItem';
import TabsSection from './atoms/TabsSection';
import Heading from '../Heading';
export const Tabs = ({ children, tabsHead, tabsListTitle = 'Contents', listStyleType, initTabIndex = 0, className, style, }) => {
    const [selectedTabIndex, setSelectedTabIndex] = useState(initTabIndex);
    const onTabSelect = (tabIndex) => {
        setSelectedTabIndex(tabIndex);
    };
    useEffect(() => {
        typeof initTabIndex === 'number' && setSelectedTabIndex(initTabIndex);
    }, [initTabIndex]);
    return (React.createElement(StyledTabsWrapper, { className: className, currentActive: selectedTabIndex + 1, style: style },
        React.createElement(Heading, { as: "h6", size: LEVEL_SIZE[4] }, tabsListTitle),
        React.createElement(TabsUnorderedList, { listStyleType: listStyleType }, tabsHead &&
            tabsHead.map((tab, i) => (React.createElement(TabsListItem, { key: i, active: i === selectedTabIndex, changeActiveState: () => onTabSelect(i) }, tab)))),
        children));
};
Tabs.Section = TabsSection;
Tabs.displayName = 'Tabs';
export default Tabs;
