import React from 'react';
import { WithWhiteSpaceProps } from '../../global';
import type { UnorderedListProps as ULP } from '../../components/UnorderedList/UnorderedList';
export interface TabsListItemProps extends WithWhiteSpaceProps {
    children: React.ReactNode;
    active?: boolean;
    changeActiveState: () => void;
}
export interface TabsSectionProps extends React.HTMLAttributes<HTMLElement> {
    children: React.ReactNode | React.ReactNode[];
    className?: string;
    style?: React.CSSProperties;
}
export interface UnorderedListProps extends ULP {
    children: React.ReactNode | React.ReactNode[];
}
export interface TabsProps {
    children: React.ReactNode;
    className?: string;
    style?: React.CSSProperties;
    tabsHead: React.ReactNode[];
    /** Visible only on the small screen */
    tabsListTitle?: string;
    /** CSS value for `list-style-type`, or `bullet` or `number` to match govuk-frontend */
    listStyleType?: string;
    /** Initial tab */
    initTabIndex?: number;
}
//# sourceMappingURL=interface.d.ts.map