import styled from 'styled-components';
import { BLUE, GREY_1, WHITE } from '../../global/colors';
import { typography } from '../../global';
export const Tag = styled('strong')(typography.font({ size: 16, weight: 'bold', lineHeight: 1.25 }), {
    display: 'inline-block',
    padding: '4px 8px',
    paddingBottom: 1,
    outline: '2px solid transparent',
    outlineOffset: -2,
    color: WHITE,
    backgroundColor: BLUE,
    letterSpacing: 1,
    textDecoration: 'none',
    textTransform: 'uppercase',
}, ({ inactive }) => inactive
    ? {
        backgroundColor: GREY_1,
    }
    : undefined);
Tag.defaultProps = {
    inactive: false,
};
Tag.displayName = 'Tag';
export default Tag;
