//@ts-nocheck
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import * as React from 'react';
import styled from 'styled-components';
import { BLACK, YELLOW, ERROR_COLOR } from '../../global/colors';
import { FONT_SIZE, LINE_HEIGHT, MEDIA_QUERIES, NTA_LIGHT } from '../../constants';
import Label from '../Label';
import LabelText from '../LabelText';
import ErrorText from '../ErrorText';
import HintText from '../HintText';
const TextAreaField = styled('textarea')({
    boxSizing: 'border-box',
    fontFamily: NTA_LIGHT,
    fontWeight: 400,
    textTransform: 'none',
    fontSize: FONT_SIZE.SIZE_16,
    lineHeight: LINE_HEIGHT.SIZE_16,
    [MEDIA_QUERIES.LARGESCREEN]: {
        fontSize: FONT_SIZE.SIZE_19,
        lineHeight: LINE_HEIGHT.SIZE_19,
        width: '75%',
    },
    width: '100%',
    padding: '5px 4px 4px',
    border: `2px solid ${BLACK}`,
    ':focus': {
        outline: `3px solid ${YELLOW}`,
        outlineOffset: 0,
    },
}, ({ error }) => ({
    border: error ? `4px solid ${ERROR_COLOR}` : undefined,
}));
export const TextArea = (_a) => {
    var { children, hint, meta, input } = _a, props = __rest(_a, ["children", "hint", "meta", "input"]);
    return (React.createElement(Label, Object.assign({ error: meta.touched && !!meta.error }, props),
        React.createElement(LabelText, null, children),
        hint && React.createElement(HintText, null, hint),
        meta.touched && meta.error && React.createElement(ErrorText, null, meta.error),
        React.createElement(TextAreaField, Object.assign({ rows: 5, error: meta.touched && !!meta.error }, input))));
};
TextArea.defaultProps = {
    hint: undefined,
    input: {},
    meta: {},
};
TextArea.displayName = 'TextArea';
/** Component is not exported withWhitespace because Label
 *  is also exported withWhitespace and therefore takes precedence.
 */
export default TextArea;
export { TextAreaField };
