var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
//@ts-nocheck
import React, { Component } from 'react';
import { BLACK, WHITE } from '../../global/colors';
import { MEDIA_QUERIES } from '../../constants';
import { typography } from '../../global';
import styled from 'styled-components';
import TopNavWrapper from './atoms/top-nav-wrapper';
import TopNavInner from './atoms/top-nav-inner';
import BottomNavWrapper from './atoms/bottom-nav-wrapper';
import Company from './atoms/company';
import LogoSearchWrapper from './atoms/logo-search-wrapper';
import RightHandSide from './atoms/right-hand-side';
import SearchWrapper from './atoms/search-wrapper';
import UnorderedList from './atoms/unordered-list';
import ListItem from './atoms/list-item';
import MenuButton from './atoms/menu-button';
import IconTitle from './atoms/icon-title';
import TopNavAnchor from './atoms/top-nav-anchor';
import NavLinkAnchor from './atoms/nav-link-anchor';
// Layout/position of ServiceTitle
const ServiceTitleWrapper = styled('div')(typography.font({ size: 24 }), {
    width: '50%',
    [MEDIA_QUERIES.LARGESCREEN]: {
        width: 'auto',
    },
});
// Layout/position of MenuButtonWrapper
const MenuButtonWrapper = styled('div')({
    display: 'flex',
    justifyContent: 'flex-end',
    alignItems: 'flex-end',
    width: '50%',
    [MEDIA_QUERIES.LARGESCREEN]: {
        width: 'auto',
    },
});
// Provides a fallback for the mobile menu toggle
// functionality when javascrcipt is unavailable
const Input = styled('input')({
    position: 'absolute',
    top: '-999em',
    ':checked + ul': {
        display: 'flex',
    },
    [MEDIA_QUERIES.LARGESCREEN]: {
        display: 'none',
    },
});
/**
 * The GOV.UK header shows users that they are on GOV.UK and which service they are using.
 *
 * - https://govuk-react.github.io/govuk-react/?path=/docs/top-nav
 * - https://design-system.service.gov.uk/components/header/
 */
export class TopNav extends Component {
    constructor(props) {
        super(props);
        this.toggleNavigationOpen = () => {
            this.setState((prevState) => ({
                navigationOpen: !prevState.navigationOpen,
            }));
        };
        const { defaultOpen } = this.props;
        this.state = {
            navigationOpen: defaultOpen,
        };
    }
    render() {
        const _a = this.props, { bgColor, color, company, serviceTitle, search, children } = _a, props = __rest(_a, ["bgColor", "color", "company", "serviceTitle", "search", "children"]);
        const { navigationOpen } = this.state;
        return (React.createElement(React.Fragment, null,
            React.createElement(TopNavWrapper, Object.assign({ bgColor: bgColor, color: color }, props),
                React.createElement(TopNavInner, null,
                    React.createElement(LogoSearchWrapper, null,
                        React.createElement(Company, null, company),
                        search && React.createElement(SearchWrapper, null, search)),
                    React.createElement(RightHandSide, null,
                        React.createElement(ServiceTitleWrapper, null, serviceTitle),
                        children && (React.createElement(React.Fragment, null,
                            React.createElement(MenuButtonWrapper, null,
                                React.createElement(MenuButton, { open: navigationOpen })),
                            React.createElement(Input, { id: "govuk-react-menu-button", type: "checkbox", checked: navigationOpen, onChange: this.toggleNavigationOpen }),
                            React.createElement(UnorderedList, { id: "govuk-react-menu", serviceTitle: !!serviceTitle, open: navigationOpen }, Array.isArray(children) ? (React.Children.map(children, (child) => (child ? React.createElement(ListItem, null, child) : null))) : (React.createElement(ListItem, null, children)))))))),
            React.createElement(BottomNavWrapper, null)));
    }
}
TopNav.IconTitle = IconTitle;
TopNav.Anchor = TopNavAnchor;
TopNav.NavLink = NavLinkAnchor;
TopNav.displayName = 'TopNav';
TopNav.defaultProps = {
    bgColor: BLACK,
    color: WHITE,
    company: React.createElement(IconTitle, null, "GOV.UK"),
    serviceTitle: undefined,
    search: false,
    children: undefined,
    defaultOpen: false,
};
export default TopNav;
