import * as React from 'react';
import OrderedList from '../OrderedList';
/**
 * Use lists to make blocks of text easier to read, and to break information into manageable chunks.
 *
 * - https://govuk-react.github.io/govuk-react/?path=/docs/ordered-list
 * - https://design-system.service.gov.uk/styles/typography/#lists
 */
export const UnorderedList = (props) => (React.createElement(OrderedList, Object.assign({ as: "ul" }, props)));
UnorderedList.defaultProps = {
    listStyleType: undefined,
};
UnorderedList.displayName = 'UnorderedList';
export default UnorderedList;
