import { FOCUSABLE_FILL, MEDIA_QUERY_PRINT } from '../constants';
import { BLACK, LINK_COLOR, LINK_ACTIVE_COLOR, LINK_HOVER_COLOR, LINK_VISITED_COLOR, SECONDARY_TEXT_COLOR, } from './colors';
import { common as commonType, textColor } from './typography';
const FOCUS_TEXT_COLOR = BLACK;
export function common(fontFamily) {
    return [commonType(fontFamily), FOCUSABLE_FILL];
}
export const styleDefault = {
    ':link': {
        color: LINK_COLOR,
    },
    ':visited': {
        color: LINK_VISITED_COLOR,
    },
    ':hover': {
        color: LINK_HOVER_COLOR,
    },
    ':active': {
        color: LINK_ACTIVE_COLOR,
    },
    ':focus': {
        color: FOCUS_TEXT_COLOR,
    },
};
export const styleMuted = {
    '&:link, &:visited, &:hover, &:active': {
        color: SECONDARY_TEXT_COLOR,
    },
    '&:focus': {
        color: FOCUS_TEXT_COLOR,
    },
};
export const styleText = {
    '&:link, &:visited, &:hover, &:active, &:focus': textColor,
};
export const styleNoVisitedState = {
    ':link': {
        color: LINK_COLOR,
    },
    ':visited': {
        color: LINK_COLOR,
    },
    ':hover': {
        color: LINK_HOVER_COLOR,
    },
    ':active': {
        color: LINK_ACTIVE_COLOR,
    },
    ':focus': {
        color: FOCUS_TEXT_COLOR,
    },
};
export const printFriendly = {
    [MEDIA_QUERY_PRINT]: {
        '&[href^="/"], &[href^="http://"], &[href^="https://"]': {
            '&::after': {
                content: '" (" attr(href) ")"',
                fontSize: '90%',
                wordWrap: 'break-word',
            },
        },
    },
};
