import type { CSSObject } from 'styled-components';
export declare function simple(size: number): number;
export declare function responsive({ size, property, direction, adjustment, }: {
    size: number | string;
    property: string;
    direction?: string | string[];
    adjustment?: number;
}): {
    [key: string]: string;
};
export declare function responsiveMargin(value: number | string | {
    size: number | string;
    direction?: string | string[];
    adjustment?: number;
}): CSSObject;
export declare function responsivePadding(value: number | {
    size: number;
    direction?: string | string[];
    adjustment?: number;
}): CSSObject;
declare type Margin = number | {
    direction?: string | string[];
    size: number;
    adjustment?: number;
};
declare type Padding = number | {
    size: number;
    direction?: string | string[];
} | {
    size: number;
    direction?: string | string[];
}[];
export declare function withWhiteSpace(config?: {
    margin?: Margin | Margin[];
    padding?: Padding | Padding[];
    marginBottom?: number;
}): (settings?: WithWhiteSpaceProps) => CSSObject[];
export declare function withWidth(config?: {
    width?: string;
    mediaQuery?: string;
    noDefault?: boolean;
}): ({ setWidth, }?: WithWidthProps) => {
    [x: string]: string | {
        width: string;
    };
    width?: string;
};
export declare type WithWhiteSpaceProps = {
    margin?: Margin | Margin[];
    padding?: Padding | Padding[];
    mb?: number | string;
};
export declare type WithWidthProps = {
    setWidth?: string | number;
};
export {};
//# sourceMappingURL=spacing.d.ts.map